package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 存储主机和卷映射
 */
@Table("storage_host_volume")
public class StorageHostVolume extends Generic {

	@PK(value = PKStrategy.AUTO)
	private Long id; //
	@Column("host_id")
	private Long hostId; // 所属主机
	@Column("volume_id")
	private Long volumeId; // 存储卷

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getHostId() {
		return hostId;
	}

	public void setHostId(Long hostId) {
		this.hostId = hostId;
	}

	public Long getVolumeId() {
		return volumeId;
	}

	public void setVolumeId(Long volumeId) {
		this.volumeId = volumeId;
	}
}
